Package Details: freecad-git 0.19.r421.gfafff351aa-1

Git Clone URL: https://aur.archlinux.org/freecad-git.git (read-only, click to copy)
Package Base: freecad-git
Description: A general purpose 3D CAD modeler - git checkout
Upstream URL: https://www.freecadweb.org/
Licenses: LGPL
Conflicts: freecad, freecad-appimage, freecad-appimage-git
Provides: freecad
Submitter: gborzi
Maintainer: greyltc
Last Packager: greyltc
Votes: 96
Popularity: 1.00
First Submitted: 2012-03-03 13:46
Last Updated: 2021-04-08 10:34

gborzi commented on 2011-03-26 00:19

I've made a working PKGBUILD for this package, you can find it here http://pastebin.com/Yw8mMrPE
This is what I changed:
1) boost=1.46.0;
2) sed -i -e 's/-lboost\(.*\)-mt/-lboost\1/' configure to fix the -lboost*-mt libraries;
3) --with-occ-include=/opt/opencascade/inc instead of --with-occ-include=/opt/opencascade/include;
4) change a line with sed in src/3rdParty/salomesmesh/Makefile to fix the Driver_Document.h problem;
5) change a line with sed in src/App/PropertyStandard.h to fix boost filesystem version problem.
The package it seems to work (I can't be sure because I don't know how to use it).
Finally, I removed the !makeflags option.

Anonymous comment on 2011-03-25 13:19

I'm going to step down as a maintainer, who wants to take care of the package ?

vinvin commented on 2011-03-25 12:49

Thanks for the patch eworm.
I have an issue with the new opencascade dependency:

/bin/sh ../../../libtool --tag=CXX --mode=link g++ -Wno-sign-compare -Wno-switch -Wno-reorder -Wno-unused -Wno-parentheses -Wno-comment -march=i686 -mtune=generic -O2 -pipe -Wno-deprecated -frtti -version-info 1:0:0 -Wl,--no-undefined -L/opt/opencascade/Linux/lib -lTKernel -lTKService -lTKMath -lTKBRep -lTKTopAlgo -lTKGeomAlgo -lTKGeomBase -lTKG3d -lTKG2d -lTKMeshVS -lTKShHealing -lTKPrim -lTKAdvTools -Wl,--hash-style=gnu -Wl,--as-needed -lpthread -o libDriverSTL.la -rpath /opt/freecad-svn/lib DriverSTL_R_SMDS_Mesh.lo DriverSTL_W_SMDS_Mesh.lo -lSMDS -lDriver
/bin/grep: /opt/opencascade/Linux/lib/libTKernel.la: No such file or directory
/bin/sed: can't read /opt/opencascade/Linux/lib/libTKernel.la: No such file or directory
libtool: link: `/opt/opencascade/Linux/lib/libTKernel.la' is not a valid libtool archive
make[3]: *** [libDriverSTL.la] Error 1
make[3]: Leaving directory `/home/vinvin/AUR/freecad-svn/src/freecad/src/3rdParty/salomesmesh'
make[2]: *** [install-recursive] Error 1
make[2]: Leaving directory `/home/vinvin/AUR/freecad-svn/src/freecad/src/3rdParty'

The .la files are not installed by opencascade, I don't understand why it doesn't takes the .so files.

eworm commented on 2011-03-14 11:34

I need to patch configure to make configure run without errors:

--- configure~ 2011-03-14 12:30:56.903061810 +0100
+++ configure 2011-03-14 12:31:57.830333177 +0100
@@ -23025,7 +23025,7 @@ fc_boost_ac_save_ldflags=$LDFLAGS
fc_boost_ac_save_libs=$LIBS
CPPFLAGS="$CPPFLAGS -I$fc_boost_incs"
LDFLAGS="$LDFLAGS -L$fc_boost_libs"
-LIBS="-lboost_program_options-mt"
+LIBS="-lboost_program_options"

cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h. */
@@ -23101,13 +23101,13 @@ fi
$as_echo "$ac_cv_boost_system" >&6; }
rm -f boost.cpp boost

-BOOST_FILESYSTEM_LIB="-lboost_filesystem-mt"
-BOOST_PROGOPTIONS_LIB="-lboost_program_options-mt"
-BOOST_SIGNALS_LIB="-lboost_signals-mt"
+BOOST_FILESYSTEM_LIB="-lboost_filesystem"
+BOOST_PROGOPTIONS_LIB="-lboost_program_options"
+BOOST_SIGNALS_LIB="-lboost_signals"
BOOST_SYSTEM_LIB=""
-BOOST_REGEX_LIB="-lboost_regex-mt"
+BOOST_REGEX_LIB="-lboost_regex"
if test x"$ac_cv_boost_system" = xyes; then
- LIBS="-lboost_system-mt"
+ LIBS="-lboost_system"
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for boost system library" >&5
$as_echo_n "checking for boost system library... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
@@ -23130,7 +23130,7 @@ main ()
}
_ACEOF
if ac_fn_cxx_try_link "$LINENO"; then :
- BOOST_SYSTEM_LIB="-lboost_system-mt"
+ BOOST_SYSTEM_LIB="-lboost_system"
else
BOOST_SYSTEM_LIB=""
fi

Anonymous comment on 2011-03-12 08:42

@Archimage: So do I, it's after the recent update to boost-libs 1.46 that it won't work, complains about missing 1.45 libraries. Downgrading could help, but many other packages need boost-libs. An UGLY hack would be a symbolic link to the new libs, but that doesn't work.

Anonymous comment on 2011-03-08 14:37

Hello, I get this error since yesterday :

Use local sources of PyCXX & zipios++... yes
checking for xerces-c... checking for /usr/include/xercesc//xercesc... no
checking for /usr/local/include/xercesc... no
checking xercesc/framework/XMLBuffer.hpp usability... yes
checking xercesc/framework/XMLBuffer.hpp presence... yes
checking for xercesc/framework/XMLBuffer.hpp... yes
checking whether xerces lib is available... yes
checking for eigen2... checking for /usr/include/eigen2/Eigen... yes
checking Eigen/Core usability... yes
checking Eigen/Core presence... yes
checking for Eigen/Core... yes
checking for boost... configure: error: failed
Abandon...
==> ERROR: Makepkg n'a pas pu construire freecad-svn.

vinvin commented on 2011-02-02 16:59

The f2c package (AUR) should be listed as an optional dependency too, now required for cmake builds.

gatonero commented on 2011-01-25 17:55

[aur-general] Warning: PyQt change http://mailman.archlinux.org/pipermail/aur-general/2011-January/013223.html

z0id commented on 2010-12-06 18:27

It fails with this error:

././src/Driver/Driver_Document.cpp:22:29: fatal error: Driver_Document.h: No such file or directory
compilation terminated.
make[4]: *** [Driver_Document.lo] Error 1

gatonero commented on 2010-11-13 10:29

The dependency for fortran is missing.